/*
 *  PHEX - The pure-java Gnutella-servent.
 *  Copyright (C) 2001 - 2005 Phex Development Group
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 *  Created on 01.11.2006
 *  --- CVS Information ---
 *  $Id: DDownloadSegment.java 3859 2007-07-01 20:15:19Z gregork $
 */
package phex.xml.sax.downloads;

import org.xml.sax.SAXException;

import phex.xml.sax.DElement;
import phex.xml.sax.PhexXmlSaxWriter;

/**
 * @deprecated since Phex 2.6.5.90 use DDownloadScope
 */
@Deprecated
public class DDownloadSegment implements DElement
{
    public static final String ELEMENT_NAME = "segment";

    private long transferred;
    private long length;
    private String incompleteFileName;
    private long startPos;
    private int segmentNumber;

    public String getIncompleteFileName()
    {
        return incompleteFileName;
    }

    public void setIncompleteFileName( String incompleteFileName )
    {
        this.incompleteFileName = incompleteFileName;
    }

    public long getLength()
    {
        return length;
    }

    public void setLength( long length )
    {
        this.length = length;
    }

    public int getSegmentNumber()
    {
        return segmentNumber;
    }

    public void setSegmentNumber( int segmentNumber )
    {
        this.segmentNumber = segmentNumber;
    }

    public long getStartPos()
    {
        return startPos;
    }

    public void setStartPos( long startPos )
    {
        this.startPos = startPos;
    }

    public long getTransferred()
    {
        return transferred;
    }

    public void setTransferred( long transferred )
    {
        this.transferred = transferred;
    }

    public void serialize( PhexXmlSaxWriter writer ) throws SAXException
    {
        throw new UnsupportedOperationException( "Class is deprecated!" );
    }
}
